getLatestBlock

Retrieves detailed information (including transaction receipts) about the latest block on the chain corresponding to chainId.

🔲 Contextualizing getLatestBlock

  • getlatestBlock returns a highly detailed response containing both standard and extraneous information about the latest block on the chain associated with chainId.

    This response includes full receipts of transactions contained within the latest block. This is non-toggleable.


Returned receipts contain the following attributes

// Example receipt

"blockHash":"0x9468f7e44e89921b38eb4812ec5dc7900ceffc454aecb0a452d9477952062efc",
"blockNumber":"0x11868d0",
"contractAddress":null,
"cumulativeGasUsed":"0x9e0096",
"effectiveGasPrice":"0x3094e55d9",
"from":"0x3527439923a63f8c13cf72b8fe80a77f6e572092",
"gasUsed":"0xbbad2",
"logs":[
   {
      "address":"0x32400084c286cf3e17e7b677ea9583e60a000324",
      "blockHash":"0x9468f7e44e89921b38eb4812ec5dc7900ceffc454aecb0a452d9477952062efc",
      "blockNumber":"0x11868d0",
      "data":"0x",
      "logIndex":"0x1b",
      "removed":false,
      "topics":[
         "0x22c9005dd88c18b552a1cd7e8b3b937fcde9ca69213c1f658f54d572e4877a81",
         "0x0000000000000000000000000000000000000000000000000000000000042fc4",
         "0x0000000000000000000000000000000000000000000000000000000000042fc5"
      ],
      "transactionHash":"0x373c6917650568746f2cb9a99c9250ef5c5fdda380ac0e322779e9532c0d5153",
      "transactionIndex":"0x10"
   }
],
"logsBloom":"0x00000000000000000000000000000000000000000000000000000000000010020000000000000000000002020000000000000000000000000000000000000000100000400000000000000000000000000000000000000000000000000000000000000000000000010000000000000000001000000000000000000000000000000000000000000000000000000000008000000000000000000000000000000000000000400000000000000000000000000000000000000000000000000000000000001000000002000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000",
"status":"0x1",
"to":"0x3db52ce065f728011ac6732222270b3f2360d919",
"transactionHash":"0x373c6917650568746f2cb9a99c9250ef5c5fdda380ac0e322779e9532c0d5153",
"transactionIndex":"0x10",
"type":"0x2"
Body Params
string
required
Defaults to 2
integer
required
Defaults to 1
string
enum
required
Defaults to particle_getLatestBlock
Allowed:
integer
required
params
array
enum
required
params*
Response

Language
Credentials
Basic
base64
:
LoadingLoading…
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json